Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.blogclient.atomprotocol
Class AtomBlog

    java.lang.Object
      com.sun.syndication.propono.blogclient.atomprotocol.AtomBlog

All Implemented Interfaces:
  Blog

    public class AtomBlog

extends Object
implements Blog

Atom protocol implementation of the BlogClient Blog interface.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.syndication.propono.blogclient.Blog
`Blog.Collection`

Method Summary
`List` | `getCategories()` Returns list of available BlogEntry.Category in primary entries collection.
`Blog.Collection` | `getCollection(String token)` Get collection by token.
`List` | `getCollections()` Gets listing of entry and resource collections available in the blog, including the primary collections.
`Iterator` | `getEntries()` Get iterator over entries in primary entries collection (the first collection that accepts entries).
`BlogEntry` | `getEntry(String token)` Get a single BlogEntry (or BlogResource) by token.
`String` | `getName()` Name of this blog.
`Iterator` | `getResources()` Get entries in primary resources collection (the first collection that accepts anything other than entries).
`String` | `getToken()` Token can be used to fetch this blog again from getBlog() method.
`BlogEntry` | `newEntry()` Create but do not save it to server new BlogEntry in primary entries collection (the first collection found that accepts entries).
`BlogResource` | `newResource(String name, String contentType, byte[] bytes)` Create but do not save it to server new BlogResource in primary resources collection (the first collection found that accepts resources).
`String` | `toString()` String display of blog, returns name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Name of this blog.

  Specified by:
    `getName` in interface `Blog`
  Returns:
    Display name of this blog.

### toString

    public String toString()

  String display of blog, returns name.

  Overrides:
    `toString` in class `Object`

### getToken

    public String getToken()

  Token can be used to fetch this blog again from getBlog() method.

  Specified by:
    `getToken` in interface `Blog`
  Returns:
    Blog object specified by token.

### newEntry

    public BlogEntry newEntry()
                       throws BlogClientException

  Create but do not save it to server new BlogEntry in primary entries collection (the first collection found that accepts entries). To save the entry to the server to a collection, use the entry's save() method.

  Specified by:
    `newEntry` in interface `Blog`
  Returns:
    Unsaved BlogEntry in primary entries collection.
  Throws:
    `BlogClientException` - On error or if there is no primary entries collection.

### getEntry

    public BlogEntry getEntry(String token)
                       throws BlogClientException

  Get a single BlogEntry (or BlogResource) by token.

  Specified by:
    `getEntry` in interface `Blog`
  Parameters:
    `token` - Token from blog entry's getToken() method.
  Returns:
    Blog entry specified by token.
  Throws:
    `BlogClientException` - On error fetching the blog entry.

### getEntries

    public Iterator getEntries()
                        throws BlogClientException

  Get iterator over entries in primary entries collection (the first collection that accepts entries). Note that entries may be partial, so don't try to update and save them: to update and entry, first fetch it with getEntry(), change fields, then call entry.save();

  Specified by:
    `getEntries` in interface `Blog`
  Returns:
    To iterate over all entries in collection.
  Throws:
    `BlogClientException` - On failure or if there is no primary entries collection.

### getResources

    public Iterator getResources()
                          throws BlogClientException

  Get entries in primary resources collection (the first collection that accepts anything other than entries).

  Specified by:
    `getResources` in interface `Blog`
  Returns:
    To iterate over all resojrces in collection.
  Throws:
    `BlogClientException` - On failure or if there is no primary resources collection.

### getCategories

    public List getCategories()
                       throws BlogClientException

  Returns list of available BlogEntry.Category in primary entries collection.

  Specified by:
    `getCategories` in interface `Blog`
  Returns:
    List of BlogEntry.Category objects.
  Throws:
    `BlogClientException` - On error or if there is no primary entries collection.

### newResource

    public BlogResource newResource(String name,
                                    String contentType,
                                    byte[] bytes)
                             throws BlogClientException

  Create but do not save it to server new BlogResource in primary resources collection (the first collection found that accepts resources). To save the resource to the server to a collection, use the resource's save() method.

  Specified by:
    `newResource` in interface `Blog`
  Parameters:
    `name` - Name of resource to be saved.
    `contentType` - MIME content type of resource data.
    `bytes` - Bytes of resource data.
  Returns:
    Unsaved BlogEntry in primary resources collection.
  Throws:
    `BlogClientException` - On error or if there is no primary respurces collection.

### getCollections

    public List getCollections()
                        throws BlogClientException

  Gets listing of entry and resource collections available in the blog, including the primary collections.

  Specified by:
    `getCollections` in interface `Blog`
  Returns:
    List of Blog.Collection objects.
  Throws:
    `BlogClientException` - On error fetching collections.

### getCollection

    public Blog.Collection getCollection(String token)
                                  throws BlogClientException

  Get collection by token.

  Specified by:
    `getCollection` in interface `Blog`
  Parameters:
    `token` - Token from a collection's getToken() method.
  Returns:
    Blog.Collection object.
  Throws:
    `BlogClientException` - On error fetching collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD